#ifndef __IPADDR_H__
#define __IPADDR_H__

#include <SDL/SDL_types.h>

#include <SDL/begin_code.h>

#ifdef __cplusplus
extern "C" {
#endif/*__cplusplus*/

/**
 *  Converts strings like "127.0.0.1" into a platform-independent
 *  Uin32 value.
 */
DECLSPEC Uint32 SDLCALL str_to_ip(char *ipstr);

/**
 *  Retrieves local IP address in Uint32 form.
 */
DECLSPEC Uint32 SDLCALL GetLocalIP(const char *iface);

/*Retrieves IP address and MAC address for specified interface.
  Places IP into ip as a character string, and MAC address into
  mac as a 6-byte binary code.

  Example:  GetIP("eth0",buf,mac); */
DECLSPEC int SDLCALL GetIP( const char *iface, char *ip, Uint8 mac[6]);

#ifdef __cplusplus
}
#endif/*__cplusplus*/

#include <SDL/close_code.h>

#endif/*__IPADDR_H__*/
